# Kaolin: A Pytorch Library for Accelerating 3D Deep Learning Research

<p align="center">
    <img src="assets/kaolin.png">
</p>

## Overview
NVIDIA Kaolin library provides a PyTorch API for working with a variety of 3D representations and includes a growing collection of GPU-optimized operations such as modular differentiable rendering, fast conversions between representations, data loading, 3D checkpoints and more. 

Kaolin library is part of a larger suite of tools for 3D deep learning research. For example, the [Omniverse Kaolin App](https://docs.omniverse.nvidia.com/app_kaolin/app_kaolin/overview.html) will allow interactive visualization of 3D checkpoints. To find out more about the Kaolin ecosystem, visit the [NVIDIA Kaolin Dev Zone page](https://developer.nvidia.com/kaolin).

## Installation and Getting Started

Visit the [Kaolin Library Documentation](https://kaolin.readthedocs.io/en/latest/) to get started!

## About this Update

With the version 0.9 release we have revamped the entire Kaolin library, redesigned the API, rewrote and optimized operations and removed unreliable or outdated code. Although this may appear to be a smaller library than our [original release](https://github.com/NVIDIAGameWorks/kaolin/tree/v0.1), test-driven development of Kaolin>=0.9 ensures reliable functionality and timely updates from now on. See [change logs](https://github.com/NVIDIAGameWorks/kaolin/releases/tag/v0.9.0) for details.

## Contributing

Please review our [contribution guidelines](CONTRIBUTING.md).

## Citation

If you found this codebase useful in your research, please cite

```
@article{Kaolin,
title = {Kaolin: A PyTorch Library for Accelerating 3D Deep Learning Research},
author = {Krishna Murthy Jatavallabhula and Edward Smith and Jean-Francois Lafleche and Clement Fuji Tsang and Artem Rozantsev and Wenzheng Chen and Tommy Xiang and Rev Lebaredian and Sanja Fidler},
journal = {arXiv:1911.05063},
year = {2019}
}
```

## Contributors

Current Team:

- Project Lead: Clement Fuji Tsang
- Jean-Francois Lafleche
- Charles Loop
- Masha Shugrina
- Towaki Takikawa
- Jiehan Wang

Other Majors Contributors:

- Wenzheng Chen
- Sanja Fidler
- Jason Gorski
- Rev Lebaredian
- Jianing Li
- Michael Li
- Krishna Murthy
- Artem Rozantsev
- Frank Shen
- Edward Smith
- Gavriel State
- Tommy Xiang
